import QtQuick 1.1
import Process 0.1

Item {
    id: root

    ListModel {
        id: lang_mappings
        ListElement { code: "zh"; method: "pinyin" }
        ListElement { code: "ja"; method: "anthy" }
    }

    function request(engine) {
        if (engine !== "") {
            ibusMonitor.doSetGlobalEngine(engine)
        } else {
            ibusMonitor.doSetEnable(false)
        }
    }

    function isSupported(lang_code) {
        for (var i = 0; i < lang_mappings.count; i++) {
            if (lang_mappings.get(i).code === lang_code) {
                return true
            }
        }
        return false
    }

    Process {
        id: set_engine
        program: "scripts/set_ibus_engine.py"
        onReadyReadStandardError: {
            var output = String(readAllStandardError())
            console.log("set_engine stderr:", output)
        }
        onReadyReadStandardOutput: {
            var output = String(readAllStandardOutput())
            console.log("set_engine stdout:", output)
        }
    }
    Process {
        id: disable_ibus
        program: "scripts/enable_ibus.py"
        arguments: ["0"]
        onReadyReadStandardError: {
            var output = String(readAllStandardError())
            console.log("disable_ibus stderr:", output)
        }
        onReadyReadStandardOutput: {
            var output = String(readAllStandardOutput())
            console.log("disable_ibus stdout:", output)
        }
    }
}
